@font-face {
  font-family: "SourceSans3";
  src: url(../fonts/IBMPlexMono-SemiBold.ttf);
  font-weight: 400;
}

@font-face {
  font-family: "SourceSans3-Italic";
  src: url(../fonts/IBMPlexMono-SemiBold.ttf);
}

@font-face {
  font-family: "Akzidenz-grotesk-black";
  src: url(../fonts/Akzidenz-grotesk-black.ttf);
  font-weight: 400;
}

body {
  --color-black: #000;
  --color-lightgray: #f0f0f1;
  --color-blue: #7843e9;
  --color-white: #fff;
  --color-green: #0db40d;

  --12px: 0.75rem;
  --16px: 1rem;
  --20px: 1.25rem;
  --24px: 1.5rem;
  --32px: 2rem;
  --40px: 2.5rem;
  --48px: 3rem;
  --64px: 4rem;
  --300px: 18.75rem;
}

body {
  margin: 0;
  box-sizing: border-box;
  position: relative;
  overflow-x: hidden;
  overflow-y: scroll;
  font-family: "SourceSans3";
  font-style: normal;
  font-size: 1rem;
  color: #000;
}

body::-webkit-scrollbar {
  display: none;
}

html {
  scroll-behavior: smooth;
}

.overlay-menu {
  display: none;
}

.burger-icon {
  display: none;
}

header {
  background: #eaeaea;
  box-shadow: 0 10px 100px #0000001a;
  position: fixed;
  width: 100%;
  z-index: 1000;
}

.header-main {
  display: flex;
  align-items: center;
  justify-content: center;
  justify-content: space-between;
  padding: 1rem 4rem;
}

.links-header {
  display: flex;
  align-items: center;
  gap: var(--48px);
}

ul li a:hover {
  color: var(--color-blue);
  transition: all 0.3s ease-in-out;
}

.nav-person {
  display: flex;
  align-items: center;
  gap: var(--32px);
}

.picture-person {
  height: 5.5rem;
  width: 5.5rem;
  object-fit: cover;
  border-radius: 360%;
  border: 4px solid transparent;
}

.nav-person .picture-person:hover {
  border: 4px solid var(--color-blue);
  border-radius: 50%;
  transform: scale(1.1);
  transition: transform 0.3s ease-in-out, border 0.3s ease-in-out;
}

a,
.font-name {
  font-family: "SourceSans3";
  color: var(--color-black);
  font-size: var(--16px);
  font-weight: 600;
  text-decoration: none;
}

.nav-person .font-name-markus:hover .font-name {
  color: var(--color-blue);
  transition: all 0.3s ease-in-out;
}

ul li {
  content: none;
  list-style: none;
}

.btn:hover {
  color: var(--color-green);
}

.atf {
  background-image: linear-gradient(to right, #f5f5f5d1, #f5f5f5d1),
    url(../pictures/background.jpg);
  height: 100vh;
  position: relative;
  background-size: cover;
  background-repeat: no-repeat;
  box-shadow: 0 10px 100px #0000001a;
}

.my-way {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 90rem;
  width: 62%;
  text-align: center;
}

h1 {
  font-family: "SourceSans3";
  font-weight: 800;
  font-size: 3rem;
  letter-spacing: 2px;
  margin-block-start: 0;
  margin-block-end: 0;
  text-transform: uppercase;
}

.btn {
  background-color: var(--color-blue);
  color: var(--color-white);
  padding: 1rem 5rem;
  border-radius: 6px;
  text-transform: uppercase;
  margin-top: 3rem;
}

.btn-header {
  font-weight: 600;
  margin: 3rem auto;
}

main {
  background-color: var(--color-lightgray);
  height: 500px;
}

.text-green {
  color: var(--color-green);
}

.info-entwicklung {
  margin: 3rem auto;
  max-width: 45rem;
  margin-block-start: 0;
  margin-block-end: 0;
  margin-top: 2rem;
  margin-bottom: 3rem;
}

.about-me-section {
  display: flex;
  justify-content: space-between;
  padding: 12rem 10rem;
  box-shadow: 0 10px 100px #0000001a;
}

.about-me-container {
  width: 55%;
}

.about-me-text {
  line-height: 1.3;
}

h2 {
  text-transform: uppercase;
  margin-block-start: 0;
  margin-block-end: 0;
  font-size: var(--32px);
  padding-bottom: var(--20px);
}

.developer-link {
  color: var(--color-blue);
  font-family: "SourceSans3-Italic";
}

.developer-link:hover {
  box-shadow: 0 0 8px 0 var(--color-green);
}

.stack-conatainer {
  display: flex;
  flex-direction: column;
  gap: var(--32px);
}

.stack-img {
  width: 16rem;
  height: auto;
}

/* ANCHOR Projekt section */

h3 {
  font-size: var(--24px);
}

.project-section {
  max-width: 60%;
  margin: 0 auto;
}

.section-main-container {
  max-width: 100rem;
  margin: auto;
  width: 92%;
}

.project-text p {
  line-height: 1.3;
}

.projects-h2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 12rem 0 64px;
}

p {
  margin-block-end: 0;
  margin-block-start: 0;
}

.project-header {
  display: flex;
  flex-direction: column;
}

.project-container {
  display: flex;
  align-items: center;
  padding-top: 64px;
  grid-gap: var(--48px);
}

.project-text {
  padding: 2rem 0;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: flex-start;
  margin: 0 auto;
}

.project-text .btn-header {
  margin: 3rem 0;
}

.project-img {
  width: 28rem;
}

/* ANCHOR Kontakt section */

.kontakt-main {
  background-image: linear-gradient(to right, #f5f5f5d1, #f5f5f5d1),
    url(../pictures/background.jpg);
  background-size: cover;
  background-position: center;
  box-shadow: 0 10px 100px #0000001a;
  height: 100dvh;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.kontakt_input {
  display: grid;
  grid-template-columns: 1fr;
  gap: 20px;
  padding: var(--40px);
  background-color: #fff;
  max-width: 80rem;
  box-shadow: 0 10px 100px #0000001a;
  margin: 0 auto;
  text-align: center;
}

.kontakt_input input,
.kontakt_input textarea,
.kontakt_input button {
  width: 100%;
  max-width: 600px;
  margin: 0 auto;
  border-radius: 6px;
  border: 1px solid #ebebeb;
  background: #f0f0f0;
  box-sizing: border-box;
}

.kontakt_input input,
.kontakt_input button {
  height: 32px;
}

.kontakt-daten p {
  line-height: 1.3;
}

#contact {
  padding-top: 32px;
}

/* ANCHOR footer section */

.footer-main {
  background: var(--color-black);
  padding-top: var(--64px);
  padding-bottom: var(--24px);
}

.footer-links {
  display: flex;
  justify-content: center;
  align-items: center;
  justify-content: space-between;
  max-width: 120rem;
  width: 92%;
  margin: auto;
}

.footer-font-style {
  color: var(--color-white);
  font-size: var(--20px);
}

.footer-font-style:hover {
  color: var(--color-blue);
  transition: color 0.3s ease-in-out;
}

.footer-font-style-copyright {
  color: var(--color-white);
  font-size: var(--16px);
}

.footer-font-style-copyright a {
  color: var(--color-lightgray);
}

.footer-font-style-copyright a:hover {
  color: var(--color-blue);
  transition: color 0.3s ease-in-out;
}

.social-media-img {
  width: var(--48px);
  height: var(--48px);
}

.social-media-img:hover {
  box-shadow: 0px 0px 30px 10px var(--color-blue);
  transition: box-shadow 0.3s ease-in-out;
}

.copyright-icon {
  color: var(--color-white);
  border-top: 1px solid #444;
  max-width: 120rem;
  width: 92%;
  margin: auto;
  margin-top: var(--64px);
  padding: 3rem 0;
  flex-wrap: wrap;
  display: flex;
  justify-content: center;
}

/* ANCHOR Datenschutz Impressum */

.impressum-container {
  max-width: 80rem;
  width: 62%;
  margin: auto;
  padding-top: 152px;
}

.datenschutz {
  max-width: 100rem;
  width: 92%;
  margin: auto;
  padding-top: 192px;
  margin-bottom: 64px;
}

.footer {
  margin-top: auto;
}

/* ANCHOR Responsive Design */

@media (max-width: 1600px) {
  .project-section {
    max-width: 85%;
  }

  .about-me-section {
    padding: 12rem 10rem;
    gap: var(--64px);
  }
}

@media (min-width: 1440px) {
  .about-me-section {
    padding: 12rem 20rem;
    gap: var(--64px);
  }
}

/* ANCHOR 1290px */

@media (max-width: 1290px) {
  .about-me-section {
    padding: 12rem 3rem;
    gap: var(--64px);
  }

  .project-container a {
    padding: 1rem 3rem;
  }

  .impressum-container {
    max-width: 80rem;
    width: 92%;
    margin-bottom: 32px;
  }
}

/* ANCHOR min.width 1200px */

@media (min-width: 1200px) {
  .about-me-section {
    margin: 0 auto;
  }
}

/* ANCHOR 1096px */

@media (max-width: 1096px) {
  .about-me-section {
    padding: 12rem 1.5rem;
  }
}

@media (max-width: 1043px) {
  .about-me-section {
    flex-direction: column;
    padding: 12rem 1rem;
    margin: auto;
    display: grid;
    text-align: center;
  }

  .about-me-container {
    display: grid;
    text-align: center;
    overflow: hidden;
    max-width: 100%;
    min-width: 92%;
    padding: 0 var(--12px) 0 var(--12px);
  }

  .about-me-text {
    text-align: center;
    padding-left: 40px;
    padding-right: 40px;
  }

  .stack-container {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .stack-img {
    margin: 0 auto;
  }

  .project-container {
    flex-direction: column;
    text-align: center;
  }

  .project-text {
    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .impressum-container {
    text-align: center;
    margin-bottom: 32px;
    overflow-wrap: break-word;
  }
}

/* ANCHOR 850px */

@media (max-width: 850px) {
  .links-header {
    display: none;
  }

  .overlay-menu {
    display: none;
  }

  .overlay-menu {
    background-color: white;
    position: absolute;
    right: 0;
    top: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: var(--32px);
    width: 200px;
    height: 260px;
    z-index: 2;
    border: 1px solid lightgrey;
    transform: translateX(100%);
    transition: all 250ms ease-in-out;
    margin-top: 0;
  }

  .show-overlay-menu {
    transform: translateX(0);
  }

  .burger-icon {
    width: 60px;
    height: auto;
    display: flex;
    position: absolute;
    right: 34px;
    cursor: pointer;
    border-radius: 16px;
  }

  .burger-icon:hover {
    box-shadow: 0px 0px 30px 10px var(--color-blue);
    transition: box-shadow 0.3s ease-in-out;
  }

  .project-section {
    padding-left: 2rem;
    padding-right: 2rem;
  }

  .close-button {
    position: absolute;
    right: 16px;
    top: 16px;
    width: 50px;
    height: 30px;
    color: white;
    border-color: lightgray;
    border: 1px solid grey;
    text-decoration: none;
    background-color: rgb(0, 128, 0);
    cursor: pointer;
  }

  .datenschutz {
    overflow-wrap: break-word;
  }

  .project-img {
    width: 240px;
    height: auto;
  }

  .about-me-section {
    padding-left: 1rem;
    padding-right: 1rem;
  }

  .about-me-text {
    padding-left: 10px;
    padding-right: 10px;
  }

  .datenschutz {
    font-size: var(--12px);
    text-align: center;
  }
}

/* ANCHOR 450px */

@media (max-width: 450px) {
  h1 {
    font-size: var(--32px);
  }

  h2 {
    font-size: var(--24px);
  }

  h3 {
    margin-block-start: 0;
  }

  .nav-person {
    gap: var(--12px);
  }

  .header-main {
    padding: 1rem 1rem;
  }

  .burger-icon {
    width: 40px;
    height: auto;
    right: var(--12px);
    border-radius: 10px;
  }

  .my-way {
    width: 92%;
  }

  .about-me-container {
    padding: 0 8px 0 8px;
  }

  .project-container {
    padding: var(--12px);
    gap: var(--12px);
    margin-top: var(--48px);
    padding-bottom: 0;
  }

  .project-text {
    padding: 0;
  }

  .project-img {
    width: 180px;
    height: auto;
  }

  .project-h2 .span {
    margin-bottom: 64px;
  }

  .footer-links {
    flex-direction: column;
    text-align: center;
    width: 90%;
    font-size: var(--12px);
  }

  .footer-links {
    gap: 30px;
  }

  .linkedin-responsive {
    margin-top: 10px;
  }

  .social-responsive {
    gap: 4rem;
  }

  .copyright-icon {
    text-align: center;
  }

  .btn {
    padding: 1rem 1rem;
    border-radius: 6px;
    font-size: 12px;
    margin-top: 3rem;
  }

  .project-container {
    display: grid;
  }

  .kontakt-main {
    height: 100dvh;
    max-width: 120rem;
    width: 90%;
    margin: 0 auto;
    scroll-margin-top: 80px;
  }

  .kontakt_input {
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
    padding: var(--32px);
    /* padding-top: 64px; */
    max-width: 80rem;
  }

  .kontakt_input input,
  .kontakt_input textarea,
  .kontakt_input button {
    width: 100%;
    max-width: 600px;
    border-radius: 6px;
    border: 1px solid #ebebeb;
    background: #f0f0f0;
    box-sizing: border-box;
  }

  .kontakt_input input,
  .kontakt_input button {
    height: 24px;
  }

  .kontakt_input textarea {
    height: 140px;
  }

  .kontakt-daten p {
    line-height: 1.1;
  }

  #contact {
    padding-top: 24px;
  }
}
